VCFSTREAMSORT(1)

NAME

vcfstreamsort

SYNOPSIS

vcfstreamsort options [vcf file]

DESCRIPTION

Sorts the input (either stdin or file) using a streaming sort algorithm. Guarantees that the positional order is correct provided out-of-order variants are no more than 100 positions in the VCF file apart.

OPTIONS

    options:
        -h, --help             this dialog
        -w, --window N         number of sites to sort (default 10000)
        -a, --all              load all sites and then sort in memory
    Type: transformation

EXIT VALUES

0   Success

not 0
    Failure

SEE ALSO

vcflib(1)

OTHER

LICENSE

Copyright 2011-2024 (C) Erik Garrison and vcflib contributors. MIT licensed. Copyright 2020-2024 (C) Pjotr Prins.

AUTHORS
Erik Garrison and vcflib contributors.